module Geom2d.Translate

where

import Geom2d.Point
import Geom2d.Point.Internal
  
class Translate t where
  translate :: (Point p, Num a) => p a -> t a -> t a

instance Translate Point' where
  translate p (Point' (a,b)) = Point' (x p + a, y p + b)
